Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## gudusoft.gsqlparser.pp.para
Enum GOutputFmt

    java.lang.Object
      java.lang.Enum<GOutputFmt>
          gudusoft.gsqlparser.pp.para.GOutputFmt

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GOutputFmt>

    public enum GOutputFmt

extends java.lang.Enum<GOutputFmt>

Enum Constant Summary
`ofCsharp`
`ofCsharpsbd`
`ofdbobject`
`ofFromCSharp`
`ofFromJava`
`ofFromPascal`
`ofFromPhp`
`ofFromVB`
`ofFromVC`
`ofhtml`
`ofhtml2`
`ofhtmlkeeplayout`
`ofhtmlkeeplayout2`
`ofhtmlkeeplayout2modifycase`
`ofhtmlkeeplayoutmodifycase`
`ofjava`
`ofjavasbf`
`ofpascal`
`ofphp`
`ofproc`
`ofprocobol`
`ofrtf`
`ofrtfkeeplayout`
`ofrtfkeeplayoutmodifycase`
`ofSql`
`oftxtmodifycase`
`ofUnknown`
`ofvb`
`ofvbsbd`
`ofvc`
`ofxml`

Method Summary
`static GOutputFmt` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GOutputFmt[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ofSql

    public static final GOutputFmt ofSql

### ofCsharp

    public static final GOutputFmt ofCsharp

### ofCsharpsbd

    public static final GOutputFmt ofCsharpsbd

### ofvb

    public static final GOutputFmt ofvb

### ofvbsbd

    public static final GOutputFmt ofvbsbd

### ofjava

    public static final GOutputFmt ofjava

### ofjavasbf

    public static final GOutputFmt ofjavasbf

### ofvc

    public static final GOutputFmt ofvc

### ofpascal

    public static final GOutputFmt ofpascal

### ofphp

    public static final GOutputFmt ofphp

### ofproc

    public static final GOutputFmt ofproc

### ofprocobol

    public static final GOutputFmt ofprocobol

### ofhtml

    public static final GOutputFmt ofhtml

### ofhtml2

    public static final GOutputFmt ofhtml2

### ofhtmlkeeplayout

    public static final GOutputFmt ofhtmlkeeplayout

### ofhtmlkeeplayout2

    public static final GOutputFmt ofhtmlkeeplayout2

### ofhtmlkeeplayoutmodifycase

    public static final GOutputFmt ofhtmlkeeplayoutmodifycase

### ofhtmlkeeplayout2modifycase

    public static final GOutputFmt ofhtmlkeeplayout2modifycase

### oftxtmodifycase

    public static final GOutputFmt oftxtmodifycase

### ofxml

    public static final GOutputFmt ofxml

### ofdbobject

    public static final GOutputFmt ofdbobject

### ofrtf

    public static final GOutputFmt ofrtf

### ofrtfkeeplayout

    public static final GOutputFmt ofrtfkeeplayout

### ofrtfkeeplayoutmodifycase

    public static final GOutputFmt ofrtfkeeplayoutmodifycase

### ofFromCSharp

    public static final GOutputFmt ofFromCSharp

### ofFromVB

    public static final GOutputFmt ofFromVB

### ofFromVC

    public static final GOutputFmt ofFromVC

### ofFromJava

    public static final GOutputFmt ofFromJava

### ofFromPhp

    public static final GOutputFmt ofFromPhp

### ofFromPascal

    public static final GOutputFmt ofFromPascal

### ofUnknown

    public static final GOutputFmt ofUnknown

Method Detail

### values

    public static final GOutputFmt[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(GOutputFmt c : GOutputFmt.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static GOutputFmt valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD